<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_e85897e" . "3079d145" . "9adfe0c7" . "71a8f09e" . "a" => base64_decode("ZmllbG" . "QgbGFi" . "ZWw="), "_ab3af949cef8cd611e6e3bf6915" . "cd03c" => base64_decode("ZmllbGQgd" . "mFsdWU="));
class FieldNode extends Node
{
    const TYPE_LABEL = "@";
    const TYPE_VALUE = "\$";
    protected $name;
    protected $op;
    public function __construct($_6cdc8166e97f8f02b18a8c0f49844a7f, $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        $this->name = $_5c59c380aa5c5e5f18f039ad7757fe97;
        $this->op = $_6cdc8166e97f8f02b18a8c0f49844a7f;
    }
    
    
    
    
    public function Children() : array
    {
        return [$this->name];
    }
    public function Name() : string
    {
        if ($this->op === self::TYPE_LABEL) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e85897e" . "3079d145" . "9adfe0c7" . "71a8f09e" . "a"];
        } else {
            return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ab3af949cef8cd61" . "1e6e3bf6915cd03c"];
        }
    }
    public function Type()
    {
        return $this->op;
    }
}